package com.huijy.management.domain;

import com.huijy.common.annotation.Excel;
import com.huijy.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 标记物内容中间对象 t_marker_content
 *
 * @author luobo
 * @date 2021-10-10
 */
public class MarkerContent extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 标记物内容中间表id */
    private Long markerContent;

    /** 标记物id */
    @Excel(name = "标记物id")
    private Long markerId;

    /** 内容id(景区id) */
    @Excel(name = "内容id(景区id)")
    private Long contentId;

    public void setMarkerContent(Long markerContent)
    {
        this.markerContent = markerContent;
    }

    public Long getMarkerContent()
    {
        return markerContent;
    }
    public void setMarkerId(Long markerId)
    {
        this.markerId = markerId;
    }

    public Long getMarkerId()
    {
        return markerId;
    }
    public void setContentId(Long contentId)
    {
        this.contentId = contentId;
    }

    public Long getContentId()
    {
        return contentId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("markerContent", getMarkerContent())
            .append("markerId", getMarkerId())
            .append("contentId", getContentId())
            .toString();
    }
}
